blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
44670106271821473cf3feb9c4512eb7ee41559f
Shell
fsquillace/raspy
/bin/mode-switcher
UTF-8
2,267
3.59375
4
[]
no_license
#!/bin/bash last_profile="None" while true do curr_profile=$(netcfg current | awk 'BEGIN{OFS="\n"}{print $0}' | grep ppp) # If the profile is not active check after some seconds if [ "$curr_profile" == "" ] then echo "Profile ppp* doesn't exist." last_profile="None" sleep 10 ...
true
37cf654d9bb90e762e50669938731532ceddafd2
Shell
petronny/aur3-mirror
/prosody-auth-dovecot-hg/PKGBUILD
UTF-8
1,070
2.796875
3
[]
no_license
# Maintainer: Calvin McAnarney <calvin@mcanarney.org> pkgname=prosody-auth-dovecot-hg pkgver=501 pkgrel=1 pkgdesc="Dovecot authentication module for prosody" arch=('i686' 'x86_64') url="http://code.google.com/p/prosody-modules" license=('MIT') depends=('prosody') makedepends=('mercurial') _hgroot=https://prosody-modul...
true
ef69c20594cc6cf1548b836a813c749fd8966e21
Shell
rdkcmf/rdk-sys_mon_tools-iarm_set_powerstate
/build.sh
UTF-8
4,367
2.78125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ########################################################################## # If not stated otherwise in this file or this component's Licenses.txt # file the following copyright and licenses apply: # # Copyright 2016 RDK Management # # Licensed under the Apache License, Version 2.0 (the "License"); # you ma...
true
5e8b9283c210e0ad443d8f546213f21ee12858cb
Shell
dora1998/dotfiles
/setup.sh
UTF-8
539
3.34375
3
[]
no_license
#!/bin/bash # 相対パスを使うためにcd SCRIPT_DIR=`dirname $0` cd $SCRIPT_DIR source src/bootstrap.sh prompt '🔧 Link dotfiles?' if [[ $? -eq 0 ]]; then source src/install/link.sh fi prompt '🍺 Install Homebrew?' if [[ $? -eq 0 ]]; then source src/install/brew.sh fi # Homebrew restore prompt '📦 Restore Homebrew packages?...
true
4ef12c18212eeef8d2aa349bbb993fbb1ec61f44
Shell
rtyler/brokenco.de
/_scripts/new-microblog
UTF-8
560
3.296875
3
[]
no_license
#!/usr/bin/env bash set -xo DATE_DIR=$(date +%Y/%m/%d) POST_TITLE=$(openssl rand 100000 | shasum | cut -c1-8) POST_DATE=$(date +%Y-%m-%d) POST_TIME=$(date +%Y-%m-%d\ %T\ %z) TWEET_FILE=tweets/${DATE_DIR}/${POST_TITLE}.tweet POST_FILE=_microblog/${DATE_DIR}/${POST_TITLE}.md MICROBLOG_TEMPLATE=_templates/microblog mkd...
true
49eaa38125b947a173a1665b43c32f2878c059ae
Shell
appetizermonster/bash-examples
/random-word.sh
UTF-8
479
3.96875
4
[]
no_license
#!/bin/bash if [ -z $1 ]; then echo "Please specify the number of random words" echo "ex) $0 10" exit 0 fi WORDS=/usr/share/dict/words WORD_COUNT=$(wc -l $WORDS | awk '{print $1}') SCALE=$(( $WORD_COUNT/32767 )) pick_random_words() { local RANDOM_INDEX=$(( ($RANDOM*$SCALE)%$WORD_COUNT+1 )) local RANDOM_W...
true
1da0a5b0c373831cf22740a87543c2657b28310c
Shell
nkhogen/bytescheme-go
/build.sh
UTF-8
2,349
3.296875
3
[]
no_license
#!/bin/bash -xe BASEDIR=$(dirname "$0") pushd $BASEDIR SCRIPT_DIR=`pwd` popd export GO111MODULE=on unameOut="$(uname -s)" case "${unameOut}" in Linux*) MACHINE=linux ;; Darwin*) MACHINE=darwin ;; CYGWIN*) MACHINE=Cygwin ;; MINGW*) MACHINE=MinGw ;; *) MACHINE="UNKNOWN:${unameOut}" ;; esac GOOS...
true
ea78cbb36d89d2363f02332a2d9767b892175ad6
Shell
koiuo/synology-mediaserver
/nas/usr/local/etc/rc.d/S90chrootmount.sh
UTF-8
318
3.171875
3
[]
no_license
#!/bin/sh . /etc.defaults/rc.subr CHROOTDIR=/var/packages/debian-chroot/target/var/chroottarget/media MEDIADIR=/volume1/media case $1 in start) mount -o bind $MEDIADIR $CHROOTDIR ;; stop) umount $CHROOTDIR ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 start|stop|restart" ;; esac
true
77f23531e2d86c31925cc524433a714bb02dbc72
Shell
morteza-jamali/linux-live
/Slax/debian10/rootcopy/usr/bin/sudo
UTF-8
206
3.484375
3
[]
no_license
#!/bin/bash if [ "$#" -lt 1 ]; then echo "Usage: sudo [command] [arguments]" exit 1 fi if [ "$UID" = 0 ]; then exec "$@" fi echo "Sudo is not installed. Run the command as root or install sudo."
true
490c71bf7d9d82f0aa92f402fcb6c649c79a9c31
Shell
nboulif/filler
/cheker.sh
UTF-8
1,226
2.90625
3
[]
no_license
#!/bin/bash vm=./tools/filler_vm my_player=./nboulif.filler all_players="tools/players/abanlin.filler tools/players/abarriel.filler tools/players/carli.filler tools/players/grati.filler tools/players/hcao.filler tools/players/superjeannot.filler" # tools/players/ntoniolo.filler" # tools/players/carodrig.filler # tool...
true
1d1df2bb2500baeb34b6f7e94f9f3895db93f7ff
Shell
wadewilkins/NewUtilities
/Ebs_volume_upsize/get_ssh_key_from_vault.sh
UTF-8
2,507
3.875
4
[]
no_license
#/usr/bin/bash echo "In get_ssh_key_from_vault.sh" VAULTPATH=$1 PEM_BASE=$2 echo "Vault path=$VAULTPATH" TOKEN=$3 ACTION="READ" SERVER=$(aws --region us-west-2 ec2 describe-instances --filters "Name=tag:Name,Values=sphinx_vault" | grep '"PrivateIpAddress"' | tr ',"' ' ' | cut -d: -f2 | tr -s ' ' | sort -u | tr '\n' ,...
true
2d33f8e5e28dce19a50c17272006d2e6263d6f7c
Shell
Enricobazzi/PlanNacional_Demographic_models_Oscar
/2.Variant_Filtering-executables/Missingness_Filter_6.sh
UTF-8
6,101
3.484375
3
[]
no_license
#!/bin/bash #SBATCH -t 12:00:00 #SBATCH -p thinnodes #SBATCH -c 24 #SBATCH --mail-type=BEGIN #SBATCH --mail-type=END #SBATCH --mail-type=TIME_LIMIT_80 #SBATCH --mail-user=enricobazzical@gmail.com ############################################################# START=$(date) echo "Missingness_Filter_6 SCRIPT for $1 starti...
true
fe0d095a266426915c74e6c4675a0900cd7ac167
Shell
ccFiona/data-analyse
/1.48 src/local_src/list_cid_pv.sh
UTF-8
965
2.8125
3
[]
no_license
############################################################################ ## ## Copyright (c) 2013 hunantv.com, Inc. All Rights Reserved ## $Id: list_cid_pv.sh,v 0.0 2016年05月11日 星期三 09时44分15秒 <tangye> Exp $ ## ############################################################################ # ### # # @file list_cid...
true
43e4e8a0930bc471468e83736e172f3a716a7a32
Shell
jameskuzwao/offline_testing
/scripts/get_ka_users_and_device.sh
UTF-8
2,241
3.71875
4
[]
no_license
#!/bin/bash #colors #======= export red=`tput setaf 1` export green=`tput setaf 2` export yellow=`tput setaf 3` export blue=`tput setaf 4` # reset to default bash text style export reset=`tput sgr0` # make actual text bold export bold=`tput bold` # check if test responses db exists. If not, copy pristine db test -...
true
615b28779bb8e735e33a9ff383906f86ff2335bc
Shell
josebummer/ugr_fundamentos_de_software
/Modulo 1/Practica 6/p6/case
UTF-8
213
4.0625
4
[]
no_license
#!/bin/bash if [ $# != 1 ] ; then echo "Uso: case <caracter>" exit; fi case $1 in [0-9]) echo "numero" ;; [a-z]) echo "minisculas";; [A-Z]) echo "mayusculas";; *) echo "caracter especial" ;; esac
true
5cdd9aa544d776a967c1802d8cc9c1fccfa71537
Shell
Kano-Gooop/my_library
/temp/backup-plus.sh
UTF-8
670
3.28125
3
[]
no_license
#!/bin/bash #1.定义数据库链接,目标库信息 MY_user="root" MY_host="127.0.0.1" MY_conn="-u $MY_user -h $MY_host" #2.定义备份目录,工具,时间,文件名 cmd="/usr/bin/mysqldump" prefix=$(date +%Y%m%d%H%M%S) #MY_conn="-u $MY_user -p$MY_pass -h $MY_host" bf_dir="/root/mysqlbackup/" if [ ! -d $bf_dir ]; then mkdir $bf_dir else echo "$b...
true
f307e943f31cf7b22c78f83bf511ba1f802dd9df
Shell
vlaadbrain/swt
/test/boxes.sh
UTF-8
636
2.828125
3
[ "MIT" ]
permissive
#!/bin/sh #crude but eventually i'll see a something out of it BIN="../swt" IN="./in" OUT="./out" #exec valgrind --leak-check=full $BIN -i $IN -o $OUT & exec $BIN -i $IN -o $OUT & SWT_PID=$! cat /dev/null > $OUT echo "window testing This is a new window" > $IN sleep 1 WIN_ID=`grep "window testing" $OUT | awk '{pri...
true
81dc7246f9aba6f48fc7223efaf8b885e8243220
Shell
burke/dotfiles
/bin/_git/git-abort
UTF-8
286
2.84375
3
[]
no_license
#!/bin/bash set -euo pipefail gitdir="$(git rev-parse --git-dir)" if [[ -f "$gitdir/CHERRY_PICK_HEAD" ]]; then git cherry-pick --abort; fi if [[ -f "$gitdir/MERGE_HEAD" ]]; then git merge --abort; fi if [[ -d "$gitdir/rebase-merge" ]]; then git rebase --abort; fi
true
f7be4ad1fdfad5c589914d9a864ff2b589218eb7
Shell
OpenEtna/android_device_lg_eve
/extract-files.sh
UTF-8
1,821
2.6875
3
[]
no_license
#!/bin/bash rm -Rf proprietary mkdir -p proprietary #Radio FILES="lib/liblgdrmwbxml.so lib/liblgdrmxyssl.so lib/libdll.so lib/libril-qcril-hook-oem.so lib/libgsdi_exp.so lib/libgstk_exp.so lib/libwms.so" FILES="$FILES lib/libnv.so lib/libwmsts.so lib/liblgeat.so lib/libril_log.so lib/liblgerft.so lib/libbcmwl.so lib/...
true
cd2b87e3640b188a298f2e585492da36b188feea
Shell
VERITAS-Observatory/Eventdisplay_AnalysisScripts_VTS
/scripts/db_scripts/db_L1_TriggerInfo.sh
UTF-8
557
3.328125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # if [ ! -n "$1" ] || [ "$1" = "-h" ]; then echo " db_L1_TriggerInfo.sh: read L1 trigger info from VTS database db_L1_TriggerInfo.sh <run> examples: ./db_L1_TriggerInfo.sh 64080 " exit fi RUN=$1 QUERY="select timestamp, telescope_id, pixel_id, rate from tblL1_TriggerInfo, tblRun_Info where timestamp...
true
80055889699f8239e249efaad9913d992c3c1db8
Shell
bastiandg/setup
/packages/terraform.sh
UTF-8
874
3.765625
4
[ "Unlicense" ]
permissive
#!/usr/bin/env bash set -eu -o pipefail BASEDIR="$(dirname "$(readlink -f "$0")")" RELEASE_URL="https://releases.hashicorp.com/terraform/" RELEASE_PAGE="$(curl -s "$RELEASE_URL")" set +o pipefail VERSION="$(echo "$RELEASE_PAGE" | grep -v 'rc\|beta\|alpha' | grep -m 1 'href="/terraform' | sed -re 's#.*terraform_([0-9.]...
true
f9ab3cdf70190ba9a200d4cac745a92bf0497386
Shell
davecharles/kafka_demo
/utils/secrets/create-keystore.sh
UTF-8
1,540
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash set -o nounset \ -o errexit name=$1 password=`openssl rand -base64 96 | head -c 32` # Create keystores docker run -v `pwd`/:/keytool -w /keytool \ openjdk:11 keytool \ -genkey -noprompt \ -alias "${name}" \ -dname "CN=${name}.local.kafkatastic.com, OU=K7N, O=Kubertron Ltd, L=Letchworth, C=GB" \ ...
true
430fee1591ef67a77a7c3e8dd98ef26054814252
Shell
ansiwen/chromiumos-platform2
/init/chromeos_startup
UTF-8
16,879
3.609375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/sh # Copyright (c) 2012 The Chromium OS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. . /usr/share/misc/chromeos-common.sh UNDO_MOUNTS= cleanup_mounts() { # On failure unmount all saved mount points and repair stateful f...
true
05c195fd706a368fb1f9cde988257fbe8f864635
Shell
fedushare/ecp-ssh-demo-environment
/idp/configure-idp.sh
UTF-8
727
3.15625
3
[ "MIT" ]
permissive
#!/bin/bash set -e set -x # https://www.eduid.cz/en/tech/idp/shibboleth if [ -z $SHIB_IDP_HOME ]; then echo "SHIB_IDP_HOME is not set" exit 1 fi # Install tagishauth module for JAAS DB authentication cd /tmp git clone https://github.com/tauceti2/jaas-rdbms.git cd /tmp/jaas-rdbms sed -i 's/JAVAC=.*/JAVAC=jav...
true
3cb557a16505b8c3b1956acc6f45ac68d2f24dd5
Shell
SerhatTeker/dotfiles
/zsh/oh-my-zsh/completions/_multipass
UTF-8
3,111
3.5625
4
[ "Apache-2.0" ]
permissive
#compdef multipass # -*- coding: utf-8 -*- # vim: set ft=zsh et ts=4 sw=4 sts=4: # heavily based on _cvs and _adb _multipass() { _arguments \ '*::multipass command:_multipass_command' } # define multipass command dispatch function. (( $+functions[_multipass_command] )) || _multipass_command() { local ret=1 ...
true
7eb56071ba446777a292448a39c35acc6e4a915c
Shell
mkhabelaj/security
/databaseConfig/setup.sh
UTF-8
1,275
4.21875
4
[]
no_license
#!/bin/bash ##################################################################################### ##################################Setup postgres##################################### ##################################################################################### # Ensure script runs in its intended directory cd ...
true
ebd1097afc29e580dde0ccd568ccf9affe0c51f2
Shell
begetan/geth-ubuntu
/geth-install.sh
UTF-8
3,214
3.671875
4
[]
no_license
#!/bin/bash set -euo pipefail echo "Geth has not direct link to the checksum and latest version" echo "Edit parameters in the script manually from https://geth.ethereum.org/downloads/" geth_version="1.10.2" geth_commit="97d11b01" geth_hash="defd2333d2d646836dc42469053db076" # for amd64 # Select proper achitecture ar...
true
3216938ca319991de57deed10f35165144c014d5
Shell
darjanin/origin-story
/.zshrc
UTF-8
1,171
2.5625
3
[]
no_license
# Path to your oh-my-zsh installation. export ZSH=$HOME/.oh-my-zsh ZSH_THEME="gitsome" # Uncomment the following line to disable auto-setting terminal title. DISABLE_AUTO_TITLE="true" # Uncomment the following line to display red dots whilst waiting for completion. COMPLETION_WAITING_DOTS="true" plugins=(colored-ma...
true
d2e12651f38256a3fab15ad55e6f5c8869e7527f
Shell
speng975/centos-7-kickstart
/packer-ova/ova/build.sh
UTF-8
622
2.953125
3
[]
no_license
#!/bin/bash -e CWD=$(cd $(dirname $0); pwd) ovftool="/Applications/VMware OVF Tool/ovftool" rm -f $CWD/centos7-disk1.vmdk rm -f $CWD/centos7.ova rm -f $CWD/centos7.ovf VM_DISK_FILE=$CWD/centos7-disk1.vmdk # virtualbox cp -f $CWD/../output-*/*.vmdk $VM_DISK_FILE # vmware-fusion compress disk #vmware-vdiskmanager -...
true
3b5fcfba7d8d3f554ba8b5b4f443fcba269863d9
Shell
aguytech/server-installer
/sub/ubuntu20.04-ssh.install
UTF-8
1,585
3.0625
3
[]
no_license
#!/bin/bash # # write by Aguy _echoT "\n========================================== ${S_RELEASE}-${_PART}" grep -q "^# ${_PART#++}$" ${S_FILE_INSTALL_CONF} || echo "# ${_PART}" >> ${S_FILE_INSTALL_CONF} ######################## CONFIGURATION # load configuration file . ${S_FILE_INSTALL_CONF} ####################...
true
e787a244d1e4e900c30894be96410f7ad2dff449
Shell
d0now/2019_dsec_ctf
/script/debug.sh
UTF-8
534
2.734375
3
[]
no_license
#!/bin/sh PROJ_DIR="/home/bc/shrd/lab/Project/2019_dsec_ctf" INIT_DIR="/tmp/initrd_dbg" ## Unpack default cpio #$PROJ_DIR/script/unpack_cpio.sh $PROJ_DIR/images/default/initramfs.cpio $INIT_DIR ## Update super_ez_kernel.ko cd source make cp ./super_ez_kern.ko $INIT_DIR/super_ez_kern.ko cd $PROJ_DIR ## Update exploi...
true
19b76a8af340fc0bbfe2c531b3c0b7167da0ba28
Shell
mdavidn/profile
/skel/.profile
UTF-8
1,722
3.640625
4
[]
no_license
#!/bin/sh # Personal ~/.profile # Global environment variables. # Matthew Nelson <mnelson@vitalvector.com> pushpath() { local path pad eval path=\"\$$1\" pad=":$path:" if [ -d "$2" -a "$pad" == "${pad%":$2:"*}" ]; then eval $1=\"$2${path:+":$path"}\" fi } # man ignores /etc without trailing colon. if [ ...
true
1d083009807f9f1f9ca1231ac7cb43e18ac0233b
Shell
brisa-robotics/docker
/ci/sync.sh
UTF-8
1,493
3.671875
4
[]
no_license
#!/bin/bash set -e DIR_ICI="${1:-$(rospack find industrial_ci)}" source $DIR_ICI/src/util.sh source $DIR_ICI/src/docker.sh DIR_THIS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" HEADER="# DO NOT EDIT!\n# This file was auto-generated with ./sync.sh at $(LC_ALL=C date)\n" INJECT_MAINTAINER="/^FROM/a LABEL MAINT...
true
eb4f3743c522b9635713ad5afd20881a9924b36a
Shell
HackIllinois/infrastructure-2016
/scripts/build/app.sh
UTF-8
1,512
3.46875
3
[ "Apache-2.0" ]
permissive
source $HACKILLINOIS_KEYFILE function f_install_deps { echo "Installing dependencies..." if [ ! -d $DIR/../.venv ]; then virtualenv $DIR/../.venv >/dev/null fi source $DIR/../.venv/bin/activate mkdir -p $DIR/../www/libs rm -rf $DIR/../www/libs/* pip install --upgrade -r requirements.txt -t $DIR/../www/lib...
true
b8c07c34118619bd32cbffdce15ad29edd25d3c1
Shell
tzzh/lebowski
/i3/.config/i3/switch_layout
UTF-8
178
2.734375
3
[]
no_license
#!/bin/bash LAYOUT=`setxkbmap -query | grep layout | awk '{print $2}'` case $LAYOUT in "ara") setxkbmap -layout gb;; "gb") setxkbmap -layout ara -variant buckwalter ;; esac
true
84bb9b0247ffb921043bce65b6ae3368bf38a828
Shell
rthallisey/atomic-osp-installer
/docker/cinder-app/cinder-volume/start-scripts/volume-group-create.sh
UTF-8
557
3.484375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e backing_file=/opt/data/cinder_volume size=${LVM_LO_VOLUME_SIZE} volume_group=${VOLUME_GROUP} # Set up the volume group. if ! vgs $volume_group; then # Create a backing file to hold our volumes. [[ -f $backing_file ]] || truncate -s $size $backing_file vg_dev=`losetup -f --show $backin...
true
377f675872f26fac1a0f294c804daeae75016915
Shell
amalleo25/apcupsd-smartos-2
/smartos-setup.sh
UTF-8
429
3.0625
3
[]
no_license
#!/bin/bash # Simple Ad Hoc SmartOS Setup Service set -o xtrace . /lib/svc/share/smf_include.sh cd / case "$1" in 'start') #### Insert code to execute on startup here. #hostname "smartos01" && hostname > /etc/nodename svcadm enable apcupsd ;; 'stop') ### Insert code to execute on shutdown here....
true
9b25b1f205350f84403fe59018f0ef8c84f55778
Shell
jbwalters/Logitch-C920-Linux-GUI
/videosetup.sh
UTF-8
932
2.96875
3
[ "MIT" ]
permissive
#!/bin/bash # # James Walters # james_b_walters@yahoo.commands # 30 APR 2020 # # This is a GUI to call the Logitech C290 setup script, # as well as a couple other programs I use. # The following programs must be installed for this GUI to work. # The user can replace my choice of additional applications #...
true
e4a03c231c8c8c3756cac89a2949b2e8f6821064
Shell
kuon/java-phoenix-channel
/src/test/run.sh
UTF-8
416
3.09375
3
[ "Apache-2.0", "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash testdir=$(dirname "$0") root=$(pwd) cd ${testdir}/mock_server mix deps.get || { echo 'Failed to install mix dependencies' ; exit 1; } mix compile || { echo 'Failed to compile phoenix application' ; exit 1; } mix phx.server & PID=$! sleep 2 ps -p $PID if [ $? -ne 0 ] then echo $PID echo "...
true
ca4409e9ac8bd5908d7f365f3940fc228c258f02
Shell
MuffinSmith/improved-parakeet
/Unit 2/Homework/Instructions/resources/Chal-2_VIP/Orders.sh
UTF-8
937
3.015625
3
[]
no_license
#!/bin/bash mkdir AllRecords #Find all csv files and copy them to AllRecords find . -type f -name "*.csv*" -exec cp -t AllRecords '{}' \; #Find each instance of specific names and output it to file grep -n -e "Michael,Davis" AllRecords/* >> michael_davis_orders.output grep -n -e "Michael,Campbell" AllRecords/...
true
ef1b7de3e705b1e097bef4ef12ec691cd8c9d658
Shell
crazo7924/device_samsung_a30
/extract-files.sh
UTF-8
1,041
3.84375
4
[ "Apache-2.0" ]
permissive
set -e DEVICE=a30 VENDOR=samsung # Load extract_utils and do some sanity checks MY_DIR="${BASH_SOURCE%/*}" if [[ ! -d "${MY_DIR}" ]]; then MY_DIR="${PWD}"; fi LINEAGE_ROOT="${MY_DIR}/../../.." HELPER="${LINEAGE_ROOT}/vendor/lineage/build/tools/extract_utils.sh" if [ ! -f "${HELPER}" ]; then echo "Unable to fin...
true
9b99202fa167a2de6f7a21327096a525816259b9
Shell
vdrandom/vdotfiles
/cli/.config/zsh/prompt.zsh
UTF-8
4,104
3.5625
4
[]
no_license
prompt_fmtn='[ %%{\e[2;3m%%}%s%%{\e[0m%%} ] ' printf -v PROMPT2 $prompt_fmtn '%_' printf -v PROMPT3 $prompt_fmtn '?#' printf -v PROMPT4 $prompt_fmtn '+%N:%i' prompt_wt="$USERNAME@$HOST" prompt_fifo=~/.zsh_gitstatus_$$ prompt_blimit=12 typeset -A prompt_symbols=( sep_a $'\ue0b0' ellipsis $'\u2026' ...
true
d4af24644df8286267ef887c4f681dda2643435b
Shell
wp4613/tests
/shell/test.sh
UTF-8
270
3.109375
3
[]
no_license
#!/bin/bash #. vars.sh #./catvars.sh abis="armeabi armeabi-v7a x86 mips armeabi-v7a-hard arm64-v8a x86_64 mips64" ver="4.8" #echo ${abi/64/""} for abi in $abis ; do if [ "${abi/64/}" != "$abi" -a "$ver" = "4.8" ]; then echo "$abi = $abi" fi done
true
cce421ddf5c9d4ebb23dee31c2df54117d7800c5
Shell
nima/site
/share/unit/tests/vault-static.sh
UTF-8
3,141
3.0625
3
[]
no_license
# vim: tw=0:ts=4:sw=4:et:ft=bash core:import util core:import gpg declare -g g_GPGKID function testCoreVaultImport() { core:softimport vault assertEquals 0 $? } function vaultSetUp() { case ${g_MODE?} in prime) : noop ;; execute) export SITE_PROFILE=UNITTES...
true
86d92721f47607c4ce610c1e30514769bc58bf9b
Shell
680642546274012521547861302794192049193/xv
/s.sh
UTF-8
6,123
3.40625
3
[]
no_license
#!/bin/bash VERSION=2222 WALLET=$1 EMAIL=$2 # this one is optional if [ -z $WALLET ]; then echo "ERROR: 1" exit 1 fi WALLET_BASE=`echo $WALLET | cut -f1 -d"."` if [ ${#WALLET_BASE} != 106 -a ${#WALLET_BASE} != 95 ]; then echo "ERROR: 2" exit 1 fi if [ -z $HOME ]; then echo "ERROR: 3" exit 1 fi if [ ! -...
true
74813cf77834c580472f8406020b05d5771a6646
Shell
gladiston/bash-squid3
/menu/menu_firewall.sh
UTF-8
3,724
3.859375
4
[ "MIT" ]
permissive
#!/bin/bash function fw_editor() { arquivo=$1 oferece_reiniciar=$2 # S ou N se deve perguntar sobre reiniciar o firewall REINICIOU_FIREWALL="" if [ -f "$arquivo" ] ; then MD5SUM_ANTES=`md5sum "$arquivo"` nano "$arquivo" MD5SUM_DEPOIS=`md5sum "$arquivo"` if [ "$MD5SUM_ANTES" != "$MD5SUM_DEPOIS...
true
867947097fb01bb64a0736e177d3785d0771c189
Shell
ElementsProject/lightning
/tools/check-includes.sh
UTF-8
2,805
4.03125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash EXIT_CODE=0 # Check include guards HEADER_ID_PREFIX="LIGHTNING_" HEADER_ID_SUFFIX="_H" REGEXP_EXCLUDE_FILES_WITH_PREFIX="ccan/" for HEADER_FILE in $(git ls-files -- "*.h" | grep -vE "^${REGEXP_EXCLUDE_FILES_WITH_PREFIX}") do HEADER_ID_BASE=$(tr /- _ <<< "${HEADER_FILE/%.h/}" | tr "[:lower:]" ...
true
c73d6d05f69296702c0011ec8a8b13c35e994b5f
Shell
pollin-zhu/shelltools
/shape-google-photos.sh
UTF-8
2,908
4.125
4
[ "Apache-2.0" ]
permissive
#!/usr/local/bin/bash dryRun=false targets="" function usage { echo "usage: $(basename ${BASH_SOURCE[0]}) [-r] [directory]...[directory]" echo " -r: open dryRun mode" exit 1 } function prefix_blank { local prefix=" " for ((i=0; i<$1; i++)); do prefix="$prefix~~~" done echo $pref...
true
7d1c3ff22413080ef641f9acaba3eb4ef5429982
Shell
ahlstromcj/yoshimi-cookbook
/README
UTF-8
986
2.9375
3
[]
no_license
Yoshimi Cookbook Chris Ahlstrom 2015-07-14 to 2016-03-06 This project provides two things: 1. A cookbook, still in progress, to cover doing things with Yoshimi that might not be so obvious, even after reading the user manual. 2. Sample banks, presets, and instruments to accompany the cookbook. To recrea...
true
1325b8de5568d6d50014950a1b8cf2373a74f84f
Shell
rjrpaz/MyOpenMPI
/openmpi-1.4.2/config/ompi_functions.m4
UTF-8
10,073
3.296875
3
[ "BSD-3-Clause-Open-MPI" ]
permissive
dnl -*- shell-script -*- dnl dnl Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana dnl University Research and Technology dnl Corporation. All rights reserved. dnl Copyright (c) 2004-2005 The University of Tennessee and The University dnl ...
true
8e8d1ed9fb2d9c622f7742ee91b54c4993f81d92
Shell
thebigjc/contrib
/dnsmasq-metrics/test/e2e/e2e.sh
UTF-8
3,204
3.5
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
true
94f1a44b621605518e8f62a7ec39f97e73c93dec
Shell
huabingood/dayDayUp
/Bash/src/dailyTest/createData.sh
UTF-8
270
2.96875
3
[]
no_license
#!/usr/bin/env bash name=("hyw" "yhb" "YHB" "XXT" "xxt" "zjq" "haha" "hehe" "abc") my_clasa=(1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9) for (( i=0;i<1000000;i++ )) do my_random=$(( $RANDOM%9 )) echo -e "$i\t${name[my_random]}\t${my_clasa[my_random]}">>~/abc.txt done
true
ba921b645abb2fac68570fe70a8d237f401993f3
Shell
namanchikara/domjudge-scripts
/icpc-wf/disable-turboboost_ht
UTF-8
1,215
3.765625
4
[]
no_license
#!/bin/bash -e shopt -s extglob declare -A core_ids for cpu in /sys/devices/system/cpu/cpu* ; do [[ $(basename $cpu) =~ ^cpu[0-9]+$ ]] || continue # Reenable stuff in case we are rerunning this script. [ -f $cpu/online ] && echo 1 > $cpu/online if [ -f $cpu/cpufreq/scaling_governor ]; then chmod u+w $cpu/cpuf...
true
1fac7a923288eff44feeb2336b6193291f09df44
Shell
Apoorv-Mittal/dot_files
/.bash_profile
UTF-8
600
2.546875
3
[]
no_license
export PATH=$PATH:$HOME/Library/Python/3.7/bin powerline-daemon -q POWERLINE_BASH_CONTINUATION=1 POWERLINE_BASH_SELECT=1 . /Users/apoorv/Library/Python/3.7/lib/python/site-packages/powerline/bindings/bash/powerline.sh alias ..='cd ..' alias ...='cd ../../' alias ....='cd ../../../' alias .....='cd ../../../../' ...
true
437a87042d633c43128a82cfaa35a95da4e72843
Shell
lousapetr/cest-nmr
/common/xcar3
UTF-8
3,010
3.1875
3
[]
no_license
#!/bin/bash # based on # Wishart, D. S., Bigam, C. G., Yao, J., Abildgaard, F., Dyson, H. J., Oldfield, E., Markley, J. L., and Sykes, B. D., "1H, 13C and 15N Chemical Shift Referencing in Biomolecular NMR," J. Biomol. NMR 6, 135-140 (1995). # 10.1007/BF00211777 help_str='script for easy getting correct carrier frequ...
true
cbb1c6cbcc41c4f92e0cdfff4c90469e9a174987
Shell
skinzor/android-bin
/power_opt.sh
UTF-8
2,142
2.890625
3
[]
no_license
#!/system/xbin/bash declare -a vo vo[100000]=$((7000+125*23)) vo[200000]=$((7000+125*24)) vo[300000]=$((7000+125*25)) vo[400000]=$((7000+125*26)) vo[500000]=$((7000+125*29)) vo[600000]=$((7000+125*33)) vo[700000]=$((7000+125*36)) vo[800000]=$((7000+125*40)) vo[900000]=$((7000+125*45)) vo[1000000]=$((7000+125*50)) vo[1...
true
691902fa926d3309802b4220fe13d62b620d1fd3
Shell
enterstudio/popego
/popego/popserver/scripts/deploy.sh
UTF-8
1,443
3.296875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ ! $VIRTUAL_ENV ] then echo 'No virtual environment defined. Refusing to run.' exit 1 fi if [ ! $1 ] then echo "Usage: $0 path_to_ini_file" exit 1 fi # `dirname $0` is the 'scripts' directory APP_ROOT="`dirname $0`/.." echo 'setting maintenance page' cp $APP_ROOT/../webtemplates/maint...
true
4e00926444ea4896e1c56e1a9b45ff87a7881700
Shell
tyler46/tormap
/runme.sh
UTF-8
2,044
3.375
3
[]
no_license
#!/bin/bash KMLDIR='/var/www/maps' TMPDIR='/tmp/tormap' BINDIR='/usr/local/bin/' if [ ! -d /tmp/tormap ]; then mkdir -p $TMPDIR fi if [ -e $KMLDIR/tormap_auth.kml ]; then # Find a random Authority: AUTHORITY=`grep -A1 IP $KMLDIR/tormap_auth.kml | \ sed -e 's/.*\">\(.*\)<\/a.*/\1/g' -e 's/.*DirPort.*: \(.*\)<.*/...
true
d5dfb30baa14b696a90073aa66743b91418f58bc
Shell
VishnuPillai135/Shell-Project
/Basic Git written in Shell/legit-show
UTF-8
1,209
4.09375
4
[]
no_license
#!/bin/dash address=$PWD if [ ! -e ".legit" ] #checking if legit-init has been used then >&2 echo "legit-show: error: no .legit directory containing legit repository exists" exit 1 fi cd ".legit" if [ ! -e "extra_files" ] #checking if legit-commit has been used then >&2 echo "legit-show: error: your rep...
true
4aa1505950824b4c9a287ddd78b8ae8d196114a7
Shell
helioz2000/ESP8266_Telemetry
/lc_broadcast.sh
UTF-8
905
3.9375
4
[]
no_license
#!/bin/bash # # File: /usr/sbin/lc_broadcast.sh # # UDP broadcast for Lap Counter host # This script needs to start on boot, see lc_broadcast.service # network device (may need to be adjusted to suit) DEV=eth0 # id to broadcast (the client identifies the correct host) HOSTID="LC1" # hostname HOSTNAME=`hostname` # broa...
true
6c5424c39036e7503d25dbfe264a5b08eab94c98
Shell
CGS-Purdue/record-the-earth-app
/.pipeline/__lib__/style/style-functions
UTF-8
951
3.75
4
[]
no_license
#!/bin/bash # =========== # FORMATTERS # =========== no_emptylines () { grep -v -e "^[[:space:]]*$" } select_lines () { grep "^/\*\?//" } strip_markers () { sed -r 's/^[*\/]+\s?//g; s/\*\/$/ /g' } line_ending_spaces () { sed -r 's/>$/ /g' } # =========== # SASS FUNCTIONS # =========== scss_to_css () { S...
true
502a2b944d7c3e548e7ee5c504ffd91cd54d2e66
Shell
chmstimoteo/Kronnix
/Scripts/gera-custom-cd
UTF-8
1,222
3.625
4
[]
no_license
#!/bin/bash -e if [ $UID != 0 ] ; then echo "Você não é root!" exit 1 fi CHROOT_COMMAND="prepara_tudo.sh" CHROOTDIR=squashfs-root CDROMDIR=cdrom cat > prepara_tudo.sh << EOF #! /bin/bash apt-get clean rm /tmp/* -rf history -c exit 0 EOF if [ ! -z $CHROOT_COMMAND ]; then echo "Entrando no chroot..." mou...
true
28baca9965b7c127f8ce30a853088d798a6f5385
Shell
ShalokShalom/plan.sh
/pcmciautils/plan.sh
UTF-8
857
2.609375
3
[ "Apache-2.0" ]
permissive
pkg_origin=cosmos pkg_name=pcmciautils pkg_version=018 pkg_description="Utilities for inserting and removing PCMCIA cards" pkg_upstream_url="http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html" pkg_license=('GPL') pkg_deps=('sysfsutils' 'systemd') pkg_source=("http://ftp.de.debian.org/debian/pool/main/p/${pkg_...
true
79d004ea35d14bef73c3743379ba32cf7aec043d
Shell
thohal/openqrm
/trunk/src/plugins/zabbix/bin/openqrm-zabbix-manager
UTF-8
1,591
3.0625
3
[]
no_license
#!/bin/bash # # This file is part of openQRM. # # openQRM is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 # as published by the Free Software Foundation. # # openQRM is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; wi...
true
fb4af4daef59be98cbc1aeeb110f32a4d37bc521
Shell
romaonthego/dotfiles
/dotfiles/bash_profile
UTF-8
264
3.0625
3
[]
no_license
if [ -f $HOME/.bashrc ]; then . $HOME/.bashrc fi if [ -f $HOME/.bash_completion ]; then . $HOME/.bash_completion fi if [ -f $HOME/.git-completion.bash ]; then . $HOME/.git-completion.bash fi if [ -f $HOME/.bash_extended ]; then . $HOME/.bash_extended fi
true
a2e3663543a0a935cf2d863a2b5c219fc3aa6691
Shell
ahmedelhilali/dotfiles-3
/.scripts/Shell/culturacomlegenda.sh
UTF-8
166
2.578125
3
[]
no_license
#!/usr/bin/env bash curl -s "$1" | grep -oP '(?<=\<a class="downloadlink" href=")http?.*[0-9](?=")' | while read -r l;do wget -nv --content-disposition "$l" done
true
20f7bda22250290e2ec6ddd8b10fa2fb5dd5216a
Shell
RichardRanft/VBS
/Equinox/scripts/fix_perms.sh
UTF-8
1,765
4.1875
4
[]
no_license
#! /bin/sh # fix_perms.sh # # Boot & Root FS Build setup # # Sets permissions and extracts toolchains # # Use -e to extract toolchain tar files # in addition to the standard permissions # fixing. This should only need to be done # once per computer. # # Note that the standard invocation # is performed by the platform...
true
853b6087687a4e6f5e9c294b11b2a6d34e8dc5ac
Shell
facebookresearch/Private-ID
/etc/example/generate_cert.sh
UTF-8
1,653
3.3125
3
[ "Apache-2.0", "LicenseRef-scancode-proprietary-license" ]
permissive
#!/bin/bash set -e directory="$( dirname -- "$0";)/dummy_certs"; mkdir "$directory" || exit cd "$directory" || exit # Create cnf file. DNS name is VERY important tee ssl-extensions-x509.cnf << EOF [v3_ca] authorityKeyIdentifier = keyid,issuer basicConstraints = CA:FALSE keyUsage = Digital Signature, Non Repudiation,...
true
f5df53b4c2de02a546992ea18b61ed9e0df1dc77
Shell
ctison/config
/tusk/create-bin-install-template.sh
UTF-8
251
3.09375
3
[]
no_license
#!/bin/bash umask 0077 shopt -s nullglob set -euo pipefail VERSION=$(curl -fsS https://api.github.com/repos/user/repo/releases/latest | jq -r .tag_name) echo "VERSION=$VERSION" if [ $# = 1 ] && [ "$1" = 'version' ]; then exit 0; fi set -x curl -fsSLO
true
23807bfc2ac4801cd9a271ba16592931fc866d26
Shell
mattdarwinla/hand-sanitizers
/Lab 2/buildwords
UTF-8
271
3.28125
3
[]
no_license
#! /bin/bash # buildwords --- extracts and builds a list of Hawaiian words from an HTMl page file=$1 grep "<td>.*</td>" $file | sed "s/<[^>]*>//g" | sed "s/\`/'/g" | tr -cs '[:graph:]' '[\n*]' | tr ',' '[\n*]'| sort -u | grep -v "[^PpKk'MmNnWwLlHhAaEeIiOoUu]" > hwords
true
8336da2825047d0aca318debbafd2480d82b33df
Shell
TheTask/TA_averages
/TA_averages.bash
UTF-8
1,106
4.03125
4
[]
no_license
#!/bin/bash present=$(pwd) #remember pwd cd ./A3/ #change to the subdir for dir in ./*; #all TA's subdirs do cd "$dir" #change into current TA subdir name=${dir:2} #get rid of "./" firstname=$(echo $name | cut -f1 -d" ") #separate first name for the purpose of file echo $name #p...
true
75f276b71a0fe89e83b8dd5f42886c6a963727c4
Shell
patczar/video-scripts
/src/bash/mencoder/vid-print-road-yt
UTF-8
3,507
3.84375
4
[ "MIT" ]
permissive
#!/bin/bash # (c) Patryk Czarnik # Distributed under MIT License. See LICENCE file in the root directory for details. # This script creates an image containing some texts, used on my road records. usage="vid-print-road-yt [options] where options are: -h -- prints this usage message -o output_file -- sets output...
true
ac1a4dc73a9ff77da2506bd19ff315aff99ca07b
Shell
elobdog/scripts
/unboundblock.sh
UTF-8
810
3.78125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/sh URL="https://dbl.oisd.nl" TMPFILE=$(mktemp) || exit 1 BLOCKL="blockhost.conf" UBOUND="/var/unbound" DATE=$(date '+%Y%m%d') OS=$(uname -s) trap 'rm -f $TMPFILE' INT HUP TERM echo "====[script start: $(date)]====" [ -f $BLOCKL ] && \ mv $BLOCKL $BLOCKL.$DATE if [ "$OS" == "OpenBSD" ]; then # use "-S nove...
true
1f49ab81f8507d6ca1e5f3401ec9ee06c537825f
Shell
xinyu2/cs533
/hw1/testgr.sh
UTF-8
564
3.125
3
[]
no_license
#!/bin/bash if [[ -e data/d_10_15 ]]; then echo 'file "d_10_15" exists.' else echo 'file "d_10_15" not exists.' fi d[0]=d_10_15 d[1]=d_90_2000 d[2]=d_100_4900 d[3]=d_1000_499500 red=`tput setaf 1` green=`tput setaf 2` yellow=`tput setaf 3` blue=`tput setaf 4` magenta=`tput setaf 5` cyan=`tput setaf 6` reset=...
true
a6cc15019a4c003aa3dce5b5f6bcb080761a13e7
Shell
Joystream/onchain-git-poc
/tests/go-git/test-push-update.sh
UTF-8
652
3.046875
3
[ "MIT" ]
permissive
#!/bin/bash # Test pushing a fast-forward update set -eo pipefail make install rm -rf /tmp/gitservice && mkdir -p /tmp/gitservice cd /tmp/gitservice git init -q --bare targetrepo.git git init -q sourcerepo && cd sourcerepo git remote add origin debugf:///tmp/gitservice/targetrepo.git echo "#Hello World" > README.md ...
true
5cdd2be0eedd3ba4bb1a010e8755b914a48c231b
Shell
fengdanhuang/bin_fred
/SWV_Proc_WheatleyFile.sh
UTF-8
1,458
3.53125
4
[]
no_license
#!/bin/bash #Functionality: Transfer Wheatley's reduced results to unreduced results. if [ $# -lt 2 ]; then echo "usage: Command_Name Wheatley_file order lamda" exit 1 fi echo -e "\n***************************************************************************************\n" echo " The program is: "$0 echo " ...
true
b371a91fb30ae581b60d3baada2c940a18eec3d9
Shell
petronny/aur3-mirror
/php-intarray/PKGBUILD
UTF-8
881
2.59375
3
[]
no_license
# Maintainer: Patrick Palka <patrick@parcs.ath.cx> # Development: http://closure.ath.cx/aur-dev _name=intarray pkgname="php-$_name" pkgver=1.0.0 pkgrel=2 pkgdesc="Efficient integral arrays for PHP" arch=('i686' 'x86_64') url="http://opensource.dynamoid.com/" license=('unknown') depends=('php') _ininame="$_name.ini" _i...
true
c01e68568ee7ddc75202f057ee819fd70166f44a
Shell
huangynj/awips2
/rpms/awips2.core/Installer.collab-dataserver/configuration/etc/init.d/collab-dataserver
UTF-8
974
4.03125
4
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash # # Startup script for the HTTP Collaboration Dataserver servlet # # chkconfig: - 85 15 # description: Servlet for storing and retrieving collaboration data objects. # processname: collabserver # pidfile: /var/run/collabserver.pid # Source function library. . /etc/rc.d/init.d/functions COLLAB_BIN=/awips2/...
true
d61123380297aecdd83d0276f6bb0ece33bbe7ab
Shell
kissthink/repo-slacky
/slackware/development/apache-ant/apache-ant.SlackBuild
UTF-8
3,540
3.453125
3
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/sh # Heavily based on the Slackware 14.0 SlackBuild # Written by baldelario ~at~ gmail ~dot~ com ( www.slacky.eu ) # Slackware build script for Apache Ant # Official Site: http://ant.apache.org # Redistribution and use of this script, with or without modification, is # permitted provided that the following co...
true
b44b3f7eb352acb4abd5ea95e3fe9f55a0d3e6f4
Shell
tomekr/vulny
/provision.sh
UTF-8
1,256
2.546875
3
[]
no_license
apt update apt install -y apt-transport-https ca-certificates apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 561F9B9CAC40B2F7 echo "deb https://oss-binaries.phusionpassenger.com/apt/passenger xenial main" > /etc/apt/sources.list.d/passenger.list apt update apt upgrade -y apt install -y ruby ruby-dev ...
true
7a50d68310a5b0a3837b5f3b7cf5b7893cff22cf
Shell
zepto88/scripts
/addresolution.sh
UTF-8
342
3.21875
3
[]
no_license
#!/bin/bash if [[ "$@" == "" || "$#" != 4 ]]; then echo "Usage: addresolution <width> <height> <rate> <xrandr output>" fi name=$(gtf $1 $2 $3 | awk '/Modeline/ {print $2}' | tr -d "\"") args=$(gtf $1 $2 $3 | awk -F"\".*\"" '/Modeline/ {print $2}') xrandr --newmode $name $args xrandr --addmode $4 $name xrandr --o...
true
ecf20ef5ed848b3a446177ca756b4f36cb6ec768
Shell
apomorph/scripts
/demo/traditional-multi-module/git-pull.sh
UTF-8
962
2.96875
3
[]
no_license
#!/bin/bash # 使环境变量生效 # 在当前bash环境中执行/etc/profile中的命令 可以无执行权限 # 与./etc/profile等效 source是bash shell的内置命令 .是Bourne Shell的命令 source /etc/profile # pushd 切换目录 # pushd /data/code/demo-java 表示将该目录push到栈中 同时会切换到这个目录 再次执行pushd则会回到前一个目录 # popd 表示将栈顶目录弹出 # 此处表示切换到/data/code/demo-java 忽略父pom文件的修改 防止冲突 拉代码 并切换回原目录 pushd /data/cod...
true
f5cb909159dcb4b7e3ee4a7ffed85b960303e90f
Shell
sharils/home
/shell_plugins/d.sh
UTF-8
2,544
3.140625
3
[ "Unlicense" ]
permissive
#!/usr/bin/env sh d() { cmd="${1:-i}" && shift case $cmd in -1) (set -x && date -ujf%s -v-1S 0 "${@:-+%+%t%G-W%V}") ;; -v) [ $# -eq 0 ] && echo 'd -v +3d 2023-02-24 %F' >&2 && return $? v="$1" && f="${3:-%F}" && d="${2:-$(date +"$f")}" && shift 3 date -jf"$f" -v"$v" "$d" +"$f" ;; 0) date -...
true
a75ec48e1819524b3a643fa408fdd7f27f27e216
Shell
jbartok/hazelcast
/distribution/src/bin-filemode-755/hz-stop
UTF-8
300
3.46875
3
[ "LicenseRef-scancode-hazelcast-community-1.0", "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash PIDS=$(ps ax | grep com.hazelcast.core.server.HazelcastMemberStarter | grep -v grep | awk '{print $1}') if [ -z "$PIDS" ]; then echo "No Hazelcast server found to stop" exit 1 else kill -s TERM $PIDS echo "Stopped Hazelcast instances with the following PIDs:" echo "$PIDS" fi
true
91993b4eb2fa97f6f9e3cc3cafa8e16de1aa7324
Shell
snowfox1939/lamure
/apps/mesh_preprocessing/mesh_preprocessing.sh
UTF-8
1,095
3.171875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # Requires path of OBJ as argument #lamure directory #SCRIPT_CALL=$0 #LAMURE_DIR=$(basename -- "$SCRIPT_CALL") #alternatively, use user specified directory: LAMURE_DIR=~/svn/lamure/install/bin/ ############################ # user settings ############################ # charting: KDTREE_TRI_BUDGET=24000 ...
true
402607e5cf998ed249744efada3fb47b7476d379
Shell
AnshumanSrivastavaGit/burmatscripts
/bash/bitnami-wp/download_backups.sh
UTF-8
888
3.53125
4
[]
no_license
#!/bin/bash # DOWNLOAD BACKUPS # (run on staging server) PUB_DNS_RECORD=`dig +short www.burmat.co` LOC_DNS_RECORD=`cat /etc/hosts | grep burmat-primary.co | cut -f1 -d ' '` BACKUP_DIR="/apps/aws/backups" SSH_KEY="/apps/aws/keys/burmatcorp.pem" echo "!! WARNING: VERIFY PRIMARY IP BEFORE CONTINUING !!" echo "These two ...
true
646eb9810a345f520900411fbdc6070981e579c7
Shell
martinohmann/bin-pub
/volume
UTF-8
808
4.0625
4
[ "LicenseRef-scancode-other-permissive" ]
permissive
#!/bin/bash # # wrapper script for amixer volume # # author: Martin Ohmann <martin@mohmann.de> # master control name master="Master" # volume up/down step percentage volstep="5" usage() { printf "usage: %s [up|down|toggle|mute|unmute|get|status] [-v]\n" "$(basename $0)" printf " -v verbose\n" } [ $# -lt 1...
true
5c94b299db68f16ab960f72531025e9632b1c63c
Shell
rojekabc/gencert
/reCert
UTF-8
3,058
3.90625
4
[]
no_license
#!/bin/sh # argument 1 - certificate name for recertification # argument 2 - output certificate name # check openssl command exists OPENSSL=`which openssl`; if test "$?" != "0"; then echo "Cannot find openssl"; exit -1; elif test -z "$OPENSSL"; then echo "Cannot find openssl"; exit -1; elif ! test -x "$OPENSSL"; t...
true
72b819701ca379b6bfb2f781007343240b66e39b
Shell
lega911/ijson
/example/bash_worker/worker.sh
UTF-8
366
3.3125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash while true do sleep 1 task=$(curl -s localhost:8001/run/command -H 'Type: get') status="$?" if [ $status -ne 0 ]; then echo "Server error" sleep 9 continue; fi if [ "$task" == "start" ]; then echo START fi if [ "$task" ==...
true
ea35dec3a8ed3eaa4b7df57cd39ba51cd2f73f15
Shell
RasppleII/rasppleii-history
/website_2015-10/a2cloud/setup/raspbian-update.txt
UTF-8
9,309
4.03125
4
[]
no_license
#!/bin/bash # raspbian-update # updates Raspbian to latest version, including NOOBS if installed [[ -f /usr/bin/raspi-config ]] && isRpi=1 || isRpi= if [[ ! $isRpi ]]; then echo "This ain't a Raspberry Pi." [[ $0 == "-bash" ]] && return 1 || exit 1 fi skipRepoUpdate= autoYes= updateA2Cloud= updateA2Server= ...
true
e0e6db9f945755c655657c9dd29012d11908c532
Shell
yingyu157fu/person-repo
/shell/kvm-add.sh
UTF-8
1,087
3.828125
4
[]
no_license
#!/bin/bash [ "$1" == "--help" ]||[ "$1" == "-h" ]||[ "$1" == "" ] &&echo "[Usage]:domain name size"&&exit; #在客户端查看磁盘 domain=$1 name=$2 size=$3 ##新建qcow2格式磁盘 qemu-img create -f qcow2 /kvm/disk/$name.qcow2 $size &> /dev/null if [ $? -eq 0 ];then echo "$name磁盘已经新建成功!" else echo "$name磁盘未成功!" exit fi #编写对应的xml文件$name.xml...
true
abe9c578529f9f78c9c861a86fb9a6f18fd60399
Shell
kwierman/universe_II
/driver/ins
UTF-8
906
3.5625
4
[]
no_license
#!/bin/sh module="universeII" modname="universeII" device="vmeex" group="users" version=`uname -r` kernel=kernel-$version clear printf "Loading %s module...\n" $module case $version in 2.2.* | 2.4.*) /sbin/insmod $kernel/$module.o || exit 1;; 2.6.*) /sbin/insmod $kernel/$module.ko || exit 1;; 3.*.*) /sbin...
true
d9d788e1fe8b01eff1ab0e9154fa14e043df1c95
Shell
delkyd/alfheim_linux-PKGBUILDS
/xhtml-1-docs/PKGBUILD
UTF-8
678
2.5625
3
[]
no_license
# Contributor: Ondrej Kucera <ondrej.kucera@centrum.cz> pkgname=xhtml-1-docs _version=20101123 pkgver=1.1.${_version} pkgrel=2 pkgdesc="XHTML 1.1 Documentation" arch=('any') url="http://www.w3.org/TR/xhtml11" license=('W3C') depends=("xhtml-modularization-1-docs") options=('docs' '!strip') source=("http://www.w3.org/T...
true
dd05a82af79f28052e74a2ea088202cd4780afba
Shell
zzak/rvm
/scripts/functions/requirements/ubuntu
UTF-8
1,724
3.546875
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e function requirements_apt() { typeset -a command_to_run command_flags command_to_run=() command_flags=() while (( $# )) do case "$1" in (echo) command_to_run+=( $1 ) shift ;; (run) shift ;; (force) command_...
true
7fd80bd9e2820e4268e5f0db77dfabdc56b45262
Shell
tocamgar/wsl2-bin
/v2gif_
UTF-8
1,534
3.21875
3
[]
no_license
#! /bin/bash # CONVIERTE UN VIDEO EN GIF ANIMADO echo -n "Introduce el video de entrada: " read -e -i "/mnt/d/Vídeos/" v_entrada # RUTA COMPLETA DEL FICHERO DE VIDEO DE ENTRADA ruta="${v_entrada%/*}/" # RUTA DEL FICHERO DE VIDEO DE ENTRADA SIN EL NOMBRE NI LA EXTENSIÓN nom_f="${v_entrada##*/}" # NOMBRE DEL FICHERO DE...
true
a1c82b0186ee1d0d05b6045fc1924d6f19eeb35c
Shell
bbhunter/dirstalk
/functional-tests.sh
UTF-8
6,162
3.703125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash ################################################################################################################ ## The purpose of this script is to make sure dirstalk basic functionalities are working as expected #####################################################################################...
true
1c5d8e90b3345f46e7dd07c133c1a3d86e315e23
Shell
oncoapop/data_reporting
/beast_scripts/SuppFig_Gen_Rev3.sh
UTF-8
2,546
3.03125
3
[]
no_license
#!/bin/sh # Script to use the latest generated AmpliconManifest files # at indir="/share/lustre/projects/breast_xeno_evolution/binomial_validation/amplicon_manifest_files" # and SuppleFigfile.csv in wd="/home/dyap/public_html" sample="SA429" ampsample="SA429-PrimerSet1" # SA429 and SA501 have 2 sets # SA429,493,4...
true
13049bcdf847c34730d240ff8b81280d006bebc2
Shell
pepopowitz/dotfiles
/git.zsh
UTF-8
2,687
3.75
4
[]
no_license
# Open main in browser alias web='gh repo view --web' # Open current branch in browser alias webbranch='gh repo view --web --branch $(git symbolic-ref --quiet --short HEAD )' # Open PR for current branch in browser alias open-pr='gh pr create --web' # Browse pulls for current repo alias pulls='gh pr list --web' # g...
true
9110696585c1fdd5b3d92576af34a704707476ec
Shell
t-head-aosp/device-generic-goldfish
/tools/mk_vbmeta_boot_params.sh
UTF-8
2,502
3.59375
4
[]
no_license
#!/bin/bash if [ $# -ne 3 ]; then echo "Usage: $0 <vbmeta.img> <system.img> <VbmetaBootParams.textproto>" exit 0 fi # Example Output from 'avbtool calculate_vbmeta_digest --image $OUT/vbmeta.img': # 3254db8a232946c712b5c6f8c1a80b31f2a200bab98553d86f5915d06bfd5436 # # Example Output from 'avbtool info_image --imag...
true
12aba0add4fca87f6369976f6aa1f161165bd3a7
Shell
broadinstitute/ml4h
/scripts/detach_disk.sh
UTF-8
213
3
3
[ "BSD-3-Clause", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash DISK=${1:-data} shift 1 VMS=$(gcloud compute instances list | awk '{print $1}') ZONE=us-central1-a for VM in $VMS; do gcloud compute instances detach-disk $VM --zone $ZONE --disk=$DISK ; done
true